package constants

import (
	"os"
)

//goland:noinspection ALL
const (
	EmptyArray                              = "[]"
	FirstItemEmptyStringArray               = "[\"\"]"
	EmptyStatus                             = "Empty Status"
	FilePath                                = "File Path"
	DirectoryPath                           = "Directory Path"
	Dot                                     = "."
	UpperCaseA                              = 'A'
	UpperCaseZ                              = 'Z'
	LowerCaseA                              = 'a'
	LowerCaseZ                              = 'z'
	LowerCase                               = LowerCaseA - UpperCaseA // c - 'A' + 'a' (ref: https://bit.ly/3mFnUPW) a - A = 32 also works
	UpperCase                               = UpperCaseA - LowerCaseA // c - 'a' + 'A'
	NewLineMac                              = "\n"
	NewLineUnix                             = "\n"
	NewLineWindows                          = "\r\n"
	Tab                                     = "\t"
	TabV                                    = "\v"
	Hash                                    = "#"
	DoubleHash                              = "##"
	TrippleHash                             = "###"
	HashSpace                               = "# "
	DoubleHashSpace                         = "## "
	Space                                   = " "
	Hyphen                                  = "-"
	Semicolon                               = ";"
	Comma                                   = ","
	CommaSpace                              = ", "
	SpaceColonSpace                         = " : "
	Pipe                                    = "|"
	QuestionMarkSymbol                      = "?"
	NilString                               = "nil"
	SprintValueFormat                       = "%v"
	SprintNumberFormat                      = "%d"
	SprintFullPropertyNameValueFormat       = "%#v"
	SprintPropertyNameValueFormat           = "%+v"
	SprintTypeFormat                        = "%T"
	InvalidNotFoundCase                     = -1
	Zero                                    = 0
	NotImplemented                          = "Not Implemented"
	SingleQuoteSymbol                 byte  = '\''
	DoubleQuoteSymbol                 byte  = '"'
	SingleQuoteStringSymbol                 = "'"
	DoubleQuoteStringSymbol                 = "\""
	DoubleDoubleQuoteStringSymbol           = "\"\""
	ParenthesisStartSymbol            byte  = '('
	ParenthesisEndSymbol              byte  = ')'
	CurlyStartSymbol                  byte  = '{'
	CurlyEndSymbol                    byte  = '}'
	SquareStartSymbol                 byte  = '['
	SquareEndSymbol                   byte  = ']'
	ArbitraryCapacity1                      = 1
	ArbitraryCapacity2                      = 2
	ArbitraryCapacity3                      = 3
	ArbitraryCapacity4                      = 4
	ArbitraryCapacity5                      = 5
	ArbitraryCapacity6                      = 6
	ArbitraryCapacity7                      = 7
	ArbitraryCapacity8                      = 8
	ArbitraryCapacity9                      = 9
	ArbitraryCapacity10                     = 10
	ArbitraryCapacity11                     = 11
	ArbitraryCapacity12                     = 12
	ArbitraryCapacity13                     = 13
	ArbitraryCapacity14                     = 14
	ArbitraryCapacity15                     = 15
	ArbitraryCapacity30                     = 30
	ArbitraryCapacity50                     = 50
	ArbitraryCapacity100                    = 100
	ArbitraryCapacity150                    = 150
	ArbitraryCapacity200                    = 200
	ArbitraryCapacity250                    = 250
	ArbitraryCapacity500                    = 500
	ArbitraryCapacity1000                   = 1000
	ArbitraryCapacity1500                   = 1500
	ArbitraryCapacity2000                   = 2000
	ArbitraryCapacity2500                   = 2500
	ArbitraryCapacity3000                   = 3000
	ArbitraryCapacity5000                   = 5000
	ArbitraryCapacity10000                  = 10000
	LineFeedUnix                            = '\n'
	CarriageReturn                          = '\r'
	FormFeed                                = '\f'
	SpaceByte                               = ' '
	TabByte                                 = '\t'
	LineFeedUnixByte                        = '\n'
	CarriageReturnByte                      = '\r'
	FormFeedByte                            = '\f'
	TabVByte                                = '\v'
	MaxUnit8                          byte  = 255
	OtherPathSeparator                      = "/"
	WindowsPathSeparator                    = "\\"
	WindowsOS                               = "windows"
	LowerCaseFileColon                      = "file:"
	DoubleBackSlash                         = "\\\\"
	TripleBackSlash                         = "\\\\\\"
	BackSlash                               = "\\"
	DoubleForwardSlash                      = "//"
	TripleForwardSlash                      = "///"
	BackwardAndForwardSlashes               = "\\//"
	ForwardSlash                            = "/"
	UriSchemePrefixStandard                 = "file:///"
	UriSchemePrefixTwoSlashes               = "file://"
	Underscore                              = "_"
	Colon                                   = ":"
	Dash                                    = "-"
	DoubleDash                              = "--"
	DoubleUnderscore                        = "__"
	GoPath                                  = "GOPATH"
	GoBinPath                               = "GOBIN"
	Go111ModuleEnvironment                  = "GO111MODULE"
	On                                      = "on"
	PathSeparator                           = string(os.PathSeparator)
	DoublePathSeparator                     = PathSeparator + PathSeparator
	Dollar                                  = "$"
	DoubleDollar                            = "$$"
	Percent                                 = "%"
	DoublePercent                           = "%%"
	One                                     = 1
	SemiColon                               = ";"
	Path                                    = "PATH"
	Unix                                    = "Unix OS"
	Windows                                 = "Windows OS"
	SymbolicLinkCreationCommandName         = "ln"
	SymbolicLinkCreationArgument            = "-s"
	Architecture64                          = "X64"
	Architecture32                          = "X32"
	LongPathUncPrefix                       = `\\?\UNC\`
	LongPathQuestionMarkPrefix              = `\\?\`
	SingleHash                              = "#"
	EmptyString                             = ""
	EndOfBlock                              = "}"
	EndOfLineMark                           = ";"
	StartOfBlock                            = "{"
	MinusOne                                = -1
	InvalidValue                            = -1
	WildCardSymbol                          = "*"
	ParenthesisStart                        = "("
	ParenthesisEnd                          = ")"
	CurlyStart                              = "{"
	CurlyEnd                                = "}"
	SquareStart                             = "["
	SquareEnd                               = "]"
	ZeroChar                          byte  = '0'
	NineChar                          byte  = '9'
	HyphenChar                        byte  = '-'
	MaxUnit8Rune                      rune  = 255
	MaxUnit8AsInt16                   int16 = 255
	ParenthesisStartRune              rune  = '('
	ParenthesisEndRune                rune  = ')'
	CurlyStartRune                    rune  = '{'
	CurlyEndRune                      rune  = '}'
	SquareStartRune                   rune  = '['
	SquareEndRune                     rune  = ']'
	ZeroRune                          rune  = '0'
	NineRune                          rune  = '9'
	HyphenRune                        rune  = '-'
	UpperCaseARune                    rune  = 'A'
	UpperCaseZRune                    rune  = 'Z'
	LowerCaseARune                    rune  = 'a'
	LowerCaseZRune                    rune  = 'z'
	LowerCaseRune                     rune  = LowerCaseA - UpperCaseA         // c - 'A' + 'a' (ref: https://bit.ly/3mFnUPW) a - A = 32 also works
	UpperCaseRune                     rune  = UpperCaseARune - LowerCaseARune // c - 'a' + 'A'
	NoElements                              = "{No Element}"
	NoItems                                 = "{No Items}"
	NoItemsSqaure                           = "[No Items]"
	NoElementsSqaure                        = "[No Element]"
	DoubleNewLine                           = "\n\n"
)
